#!/usr/bin/env bash

# Disable Xorg screensaver
xset -dpms &
xset s off &

# Disable beeper
xset -b &

# merge Xresources
xrdb -merge ~/.Xresources &

# xrandr settings
~/scripts/bin/setup_displays

# PolicyKit Authentication Agent - Gnome
#/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &

sleep 1

# bar
~/.config/polybar/launch.sh &

# Notifications
dunst &

# vpn
mullvad-vpn &

# caffeine
caffeine start &

# compositor
picom --config ~/.picom.conf &

# NetworkManager applet
nm-applet &

# wallpapers
nitrogen --restore &

# Dropbox
# I do not use it anymore since 2025-02-10
# dropbox &
# ~/.dropbox-dist/dropboxd &

# firewall
opensnitch-ui &

# logi settings
solaar --restart-on-wake-up --window=hide &

# bauh
#bauh-tray &

# bluetooth
blueman-applet &

# keyboard layout switcher
# now is using X11 variant in /etc/X11/xorg.conf.d/00-keyboard.conf
# setxkbmap -layout us,ru -option 'grp:alt_space_toggle' &

# emacs
emacs --daemon &

# brightness control
clight &

# workrave
workrave &

# activitywatch
./activitywatch/aw-qt &

# watchdog
watchmedo shell-command --pattern='*.org;*.txt;*.md;*.gpg;*.org_archive;sync.sh' --recursive --ignore-directories -W --command "~/org/sync.sh" ~/org/ &
watchmedo shell-command --pattern='*.journal;*.sh;*.log;*.prices;*.csv;*.py' --recursive --ignore-directories -W --command "~/.hledger/sync.sh" ~/.hledger/ &

sleep 1

nextcloud &

# mega cloud
# I do not use it anymore since 2025-02-10
# megasync &

# lockscreen
# xss-lock --transfer-sleep-lock -- ~/scripts/bin/lock.sh

# archive commands
# xinput --set-prop "pointer:Logitech MX Ergo Multi-Device Trackball " 'libinput Accel Speed' -0.2
# xbacklight -set 90 & # only for intel
# xfce4-power-manager &
